# Uses of Interface
org.eclipse.swt.dnd.DropTargetListener

Packages that use DropTargetListener
Package
Description
org.eclipse.swt.dnd

## Uses of DropTargetListener in org.eclipse.swt.dnd

Methods in org.eclipse.swt.dnd that return DropTargetListener
Modifier and Type
Method
Description
`DropTargetListener[]`
DropTarget.`getDropListeners()`
Returns an array of listeners who will be notified when a drag and drop operation is in progress, by sending it one of the messages defined in the `DropTargetListener` interface.
Methods in org.eclipse.swt.dnd with parameters of type DropTargetListener
Modifier and Type
Method
Description
`void`
DropTarget.`addDropListener(DropTargetListener listener)`
Adds the listener to the collection of listeners who will be notified when a drag and drop operation is in progress, by sending it one of the messages defined in the `DropTargetListener` interface.
`void`
DropTarget.`removeDropListener(DropTargetListener listener)`
Removes the listener from the collection of listeners who will be notified when a drag and drop operation is in progress.